'''Map between Windows and Olson timezones taken from http://www.unicode.org/repos/cldr/trunk/common/supplemental/windowsZones.xml
Generated automatically from datetime_tz.py'''
source_hash = '2e133a150bd15ad7fde433aec4bad8ac' # md5 sum of xml source data
win32timezones = {
  'AUS Central Standard Time': 'Australia/Darwin', # (UTC+09:30) Darwin
  ('AUS Central Standard Time', 'AU'): 'Australia/Darwin', # 
  'AUS Eastern Standard Time': 'Australia/Sydney', # (UTC+10:00) Canberra, Melbourne, Sydney
  ('AUS Eastern Standard Time', 'AU'): 'Australia/Sydney', # 
  'Afghanistan Standard Time': 'Asia/Kabul', # (UTC+04:30) Kabul
  ('Afghanistan Standard Time', 'AF'): 'Asia/Kabul', # 
  'Alaskan Standard Time': 'America/Anchorage', # (UTC-09:00) Alaska
  ('Alaskan Standard Time', 'US'): 'America/Anchorage', # 
  'Arab Standard Time': 'Asia/Riyadh', # (UTC+03:00) Kuwait, Riyadh
  ('Arab Standard Time', 'BH'): 'Asia/Bahrain', # 
  ('Arab Standard Time', 'KW'): 'Asia/Kuwait', # 
  ('Arab Standard Time', 'QA'): 'Asia/Qatar', # 
  ('Arab Standard Time', 'SA'): 'Asia/Riyadh', # 
  ('Arab Standard Time', 'YE'): 'Asia/Aden', # 
  'Arabian Standard Time': 'Asia/Dubai', # (UTC+04:00) Abu Dhabi, Muscat
  ('Arabian Standard Time', 'AE'): 'Asia/Dubai', # 
  ('Arabian Standard Time', 'OM'): 'Asia/Muscat', # 
  ('Arabian Standard Time', 'ZZ'): 'Etc/GMT-4', # 
  'Arabic Standard Time': 'Asia/Baghdad', # (UTC+03:00) Baghdad
  ('Arabic Standard Time', 'IQ'): 'Asia/Baghdad', # 
  'Argentina Standard Time': 'America/Buenos_Aires', # (UTC-03:00) City of Buenos Aires
  ('Argentina Standard Time', 'AR'): 'America/Buenos_Aires', # 
  'Atlantic Standard Time': 'America/Halifax', # (UTC-04:00) Atlantic Time (Canada)
  ('Atlantic Standard Time', 'BM'): 'Atlantic/Bermuda', # 
  ('Atlantic Standard Time', 'CA'): 'America/Halifax', # 
  ('Atlantic Standard Time', 'GL'): 'America/Thule', # 
  'Azerbaijan Standard Time': 'Asia/Baku', # (UTC+04:00) Baku
  ('Azerbaijan Standard Time', 'AZ'): 'Asia/Baku', # 
  'Azores Standard Time': 'Atlantic/Azores', # (UTC-01:00) Azores
  ('Azores Standard Time', 'GL'): 'America/Scoresbysund', # 
  ('Azores Standard Time', 'PT'): 'Atlantic/Azores', # 
  'Bahia Standard Time': 'America/Bahia', # (UTC-03:00) Salvador
  ('Bahia Standard Time', 'BR'): 'America/Bahia', # 
  'Bangladesh Standard Time': 'Asia/Dhaka', # (UTC+06:00) Dhaka
  ('Bangladesh Standard Time', 'BD'): 'Asia/Dhaka', # 
  ('Bangladesh Standard Time', 'BT'): 'Asia/Thimphu', # 
  'Belarus Standard Time': 'Europe/Minsk', # (UTC+03:00) Minsk
  ('Belarus Standard Time', 'BY'): 'Europe/Minsk', # 
  'Canada Central Standard Time': 'America/Regina', # (UTC-06:00) Saskatchewan
  ('Canada Central Standard Time', 'CA'): 'America/Regina', # 
  'Cape Verde Standard Time': 'Atlantic/Cape_Verde', # (UTC-01:00) Cabo Verde Is.
  ('Cape Verde Standard Time', 'CV'): 'Atlantic/Cape_Verde', # 
  ('Cape Verde Standard Time', 'ZZ'): 'Etc/GMT+1', # 
  'Caucasus Standard Time': 'Asia/Yerevan', # (UTC+04:00) Yerevan
  ('Caucasus Standard Time', 'AM'): 'Asia/Yerevan', # 
  'Cen. Australia Standard Time': 'Australia/Adelaide', # (UTC+09:30) Adelaide
  ('Cen. Australia Standard Time', 'AU'): 'Australia/Adelaide', # 
  'Central America Standard Time': 'America/Guatemala', # (UTC-06:00) Central America
  ('Central America Standard Time', 'BZ'): 'America/Belize', # 
  ('Central America Standard Time', 'CR'): 'America/Costa_Rica', # 
  ('Central America Standard Time', 'EC'): 'Pacific/Galapagos', # 
  ('Central America Standard Time', 'GT'): 'America/Guatemala', # 
  ('Central America Standard Time', 'HN'): 'America/Tegucigalpa', # 
  ('Central America Standard Time', 'NI'): 'America/Managua', # 
  ('Central America Standard Time', 'SV'): 'America/El_Salvador', # 
  ('Central America Standard Time', 'ZZ'): 'Etc/GMT+6', # 
  'Central Asia Standard Time': 'Asia/Almaty', # (UTC+06:00) Astana
  ('Central Asia Standard Time', 'AQ'): 'Antarctica/Vostok', # 
  ('Central Asia Standard Time', 'CN'): 'Asia/Urumqi', # 
  ('Central Asia Standard Time', 'IO'): 'Indian/Chagos', # 
  ('Central Asia Standard Time', 'KG'): 'Asia/Bishkek', # 
  ('Central Asia Standard Time', 'KZ'): 'Asia/Almaty', # 
  ('Central Asia Standard Time', 'ZZ'): 'Etc/GMT-6', # 
  'Central Brazilian Standard Time': 'America/Cuiaba', # (UTC-04:00) Cuiaba
  ('Central Brazilian Standard Time', 'BR'): 'America/Cuiaba', # 
  'Central Europe Standard Time': 'Europe/Budapest', # (UTC+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague
  ('Central Europe Standard Time', 'AL'): 'Europe/Tirane', # 
  ('Central Europe Standard Time', 'CZ'): 'Europe/Prague', # 
  ('Central Europe Standard Time', 'HU'): 'Europe/Budapest', # 
  ('Central Europe Standard Time', 'ME'): 'Europe/Podgorica', # 
  ('Central Europe Standard Time', 'RS'): 'Europe/Belgrade', # 
  ('Central Europe Standard Time', 'SI'): 'Europe/Ljubljana', # 
  ('Central Europe Standard Time', 'SK'): 'Europe/Bratislava', # 
  'Central European Standard Time': 'Europe/Warsaw', # (UTC+01:00) Sarajevo, Skopje, Warsaw, Zagreb
  ('Central European Standard Time', 'BA'): 'Europe/Sarajevo', # 
  ('Central European Standard Time', 'HR'): 'Europe/Zagreb', # 
  ('Central European Standard Time', 'MK'): 'Europe/Skopje', # 
  ('Central European Standard Time', 'PL'): 'Europe/Warsaw', # 
  'Central Pacific Standard Time': 'Pacific/Guadalcanal', # (UTC+11:00) Solomon Is., New Caledonia
  ('Central Pacific Standard Time', 'AU'): 'Antarctica/Macquarie', # 
  ('Central Pacific Standard Time', 'FM'): 'Pacific/Ponape', # 
  ('Central Pacific Standard Time', 'NC'): 'Pacific/Noumea', # 
  ('Central Pacific Standard Time', 'PG'): 'Pacific/Bougainville', # 
  ('Central Pacific Standard Time', 'SB'): 'Pacific/Guadalcanal', # 
  ('Central Pacific Standard Time', 'VU'): 'Pacific/Efate', # 
  ('Central Pacific Standard Time', 'ZZ'): 'Etc/GMT-11', # 
  'Central Standard Time': 'America/Chicago', # (UTC-06:00) Central Time (US & Canada)
  ('Central Standard Time', 'CA'): 'America/Winnipeg', # 
  ('Central Standard Time', 'MX'): 'America/Matamoros', # 
  ('Central Standard Time', 'US'): 'America/Chicago', # 
  ('Central Standard Time', 'ZZ'): 'CST6CDT', # 
  'Central Standard Time (Mexico)': 'America/Mexico_City', # (UTC-06:00) Guadalajara, Mexico City, Monterrey
  ('Central Standard Time (Mexico)', 'MX'): 'America/Mexico_City', # 
  'China Standard Time': 'Asia/Shanghai', # (UTC+08:00) Beijing, Chongqing, Hong Kong, Urumqi
  ('China Standard Time', 'CN'): 'Asia/Shanghai', # 
  ('China Standard Time', 'HK'): 'Asia/Hong_Kong', # 
  ('China Standard Time', 'MO'): 'Asia/Macau', # 
  'Dateline Standard Time': 'Etc/GMT+12', # (UTC-12:00) International Date Line West
  ('Dateline Standard Time', 'ZZ'): 'Etc/GMT+12', # 
  'E. Africa Standard Time': 'Africa/Nairobi', # (UTC+03:00) Nairobi
  ('E. Africa Standard Time', 'AQ'): 'Antarctica/Syowa', # 
  ('E. Africa Standard Time', 'DJ'): 'Africa/Djibouti', # 
  ('E. Africa Standard Time', 'ER'): 'Africa/Asmera', # 
  ('E. Africa Standard Time', 'ET'): 'Africa/Addis_Ababa', # 
  ('E. Africa Standard Time', 'KE'): 'Africa/Nairobi', # 
  ('E. Africa Standard Time', 'KM'): 'Indian/Comoro', # 
  ('E. Africa Standard Time', 'MG'): 'Indian/Antananarivo', # 
  ('E. Africa Standard Time', 'SD'): 'Africa/Khartoum', # 
  ('E. Africa Standard Time', 'SO'): 'Africa/Mogadishu', # 
  ('E. Africa Standard Time', 'SS'): 'Africa/Juba', # 
  ('E. Africa Standard Time', 'TZ'): 'Africa/Dar_es_Salaam', # 
  ('E. Africa Standard Time', 'UG'): 'Africa/Kampala', # 
  ('E. Africa Standard Time', 'YT'): 'Indian/Mayotte', # 
  ('E. Africa Standard Time', 'ZZ'): 'Etc/GMT-3', # 
  'E. Australia Standard Time': 'Australia/Brisbane', # (UTC+10:00) Brisbane
  ('E. Australia Standard Time', 'AU'): 'Australia/Brisbane', # 
  'E. South America Standard Time': 'America/Sao_Paulo', # (UTC-03:00) Brasilia
  ('E. South America Standard Time', 'BR'): 'America/Sao_Paulo', # 
  'Eastern Standard Time': 'America/New_York', # (UTC-05:00) Eastern Time (US & Canada)
  ('Eastern Standard Time', 'BS'): 'America/Nassau', # 
  ('Eastern Standard Time', 'CA'): 'America/Toronto', # 
  ('Eastern Standard Time', 'CU'): 'America/Havana', # 
  ('Eastern Standard Time', 'HT'): 'America/Port-au-Prince', # 
  ('Eastern Standard Time', 'US'): 'America/New_York', # 
  ('Eastern Standard Time', 'ZZ'): 'EST5EDT', # 
  'Eastern Standard Time (Mexico)': 'America/Cancun', # (UTC-05:00) Chetumal
  ('Eastern Standard Time (Mexico)', 'MX'): 'America/Cancun', # 
  'Egypt Standard Time': 'Africa/Cairo', # (UTC+02:00) Cairo
  ('Egypt Standard Time', 'EG'): 'Africa/Cairo', # 
  'Ekaterinburg Standard Time': 'Asia/Yekaterinburg', # (UTC+05:00) Ekaterinburg (RTZ 4)
  ('Ekaterinburg Standard Time', 'RU'): 'Asia/Yekaterinburg', # 
  'FLE Standard Time': 'Europe/Kiev', # (UTC+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius
  ('FLE Standard Time', 'AX'): 'Europe/Mariehamn', # 
  ('FLE Standard Time', 'BG'): 'Europe/Sofia', # 
  ('FLE Standard Time', 'EE'): 'Europe/Tallinn', # 
  ('FLE Standard Time', 'FI'): 'Europe/Helsinki', # 
  ('FLE Standard Time', 'LT'): 'Europe/Vilnius', # 
  ('FLE Standard Time', 'LV'): 'Europe/Riga', # 
  ('FLE Standard Time', 'UA'): 'Europe/Kiev', # 
  'Fiji Standard Time': 'Pacific/Fiji', # (UTC+12:00) Fiji
  ('Fiji Standard Time', 'FJ'): 'Pacific/Fiji', # 
  'GMT Standard Time': 'Europe/London', # (UTC) Dublin, Edinburgh, Lisbon, London
  ('GMT Standard Time', 'ES'): 'Atlantic/Canary', # 
  ('GMT Standard Time', 'FO'): 'Atlantic/Faeroe', # 
  ('GMT Standard Time', 'GB'): 'Europe/London', # 
  ('GMT Standard Time', 'GG'): 'Europe/Guernsey', # 
  ('GMT Standard Time', 'IE'): 'Europe/Dublin', # 
  ('GMT Standard Time', 'IM'): 'Europe/Isle_of_Man', # 
  ('GMT Standard Time', 'JE'): 'Europe/Jersey', # 
  ('GMT Standard Time', 'PT'): 'Europe/Lisbon', # 
  'GTB Standard Time': 'Europe/Bucharest', # (UTC+02:00) Athens, Bucharest
  ('GTB Standard Time', 'CY'): 'Asia/Nicosia', # 
  ('GTB Standard Time', 'GR'): 'Europe/Athens', # 
  ('GTB Standard Time', 'MD'): 'Europe/Chisinau', # 
  ('GTB Standard Time', 'RO'): 'Europe/Bucharest', # 
  'Georgian Standard Time': 'Asia/Tbilisi', # (UTC+04:00) Tbilisi
  ('Georgian Standard Time', 'GE'): 'Asia/Tbilisi', # 
  'Greenland Standard Time': 'America/Godthab', # (UTC-03:00) Greenland
  ('Greenland Standard Time', 'GL'): 'America/Godthab', # 
  'Greenwich Standard Time': 'Atlantic/Reykjavik', # (UTC) Monrovia, Reykjavik
  ('Greenwich Standard Time', 'BF'): 'Africa/Ouagadougou', # 
  ('Greenwich Standard Time', 'CI'): 'Africa/Abidjan', # 
  ('Greenwich Standard Time', 'GH'): 'Africa/Accra', # 
  ('Greenwich Standard Time', 'GM'): 'Africa/Banjul', # 
  ('Greenwich Standard Time', 'GN'): 'Africa/Conakry', # 
  ('Greenwich Standard Time', 'GW'): 'Africa/Bissau', # 
  ('Greenwich Standard Time', 'IS'): 'Atlantic/Reykjavik', # 
  ('Greenwich Standard Time', 'LR'): 'Africa/Monrovia', # 
  ('Greenwich Standard Time', 'ML'): 'Africa/Bamako', # 
  ('Greenwich Standard Time', 'MR'): 'Africa/Nouakchott', # 
  ('Greenwich Standard Time', 'SH'): 'Atlantic/St_Helena', # 
  ('Greenwich Standard Time', 'SL'): 'Africa/Freetown', # 
  ('Greenwich Standard Time', 'SN'): 'Africa/Dakar', # 
  ('Greenwich Standard Time', 'ST'): 'Africa/Sao_Tome', # 
  ('Greenwich Standard Time', 'TG'): 'Africa/Lome', # 
  'Hawaiian Standard Time': 'Pacific/Honolulu', # (UTC-10:00) Hawaii
  ('Hawaiian Standard Time', 'CK'): 'Pacific/Rarotonga', # 
  ('Hawaiian Standard Time', 'PF'): 'Pacific/Tahiti', # 
  ('Hawaiian Standard Time', 'UM'): 'Pacific/Johnston', # 
  ('Hawaiian Standard Time', 'US'): 'Pacific/Honolulu', # 
  ('Hawaiian Standard Time', 'ZZ'): 'Etc/GMT+10', # 
  'India Standard Time': 'Asia/Calcutta', # (UTC+05:30) Chennai, Kolkata, Mumbai, New Delhi
  ('India Standard Time', 'IN'): 'Asia/Calcutta', # 
  'Iran Standard Time': 'Asia/Tehran', # (UTC+03:30) Tehran
  ('Iran Standard Time', 'IR'): 'Asia/Tehran', # 
  'Israel Standard Time': 'Asia/Jerusalem', # (UTC+02:00) Jerusalem
  ('Israel Standard Time', 'IL'): 'Asia/Jerusalem', # 
  'Jordan Standard Time': 'Asia/Amman', # (UTC+02:00) Amman
  ('Jordan Standard Time', 'JO'): 'Asia/Amman', # 
  'Kaliningrad Standard Time': 'Europe/Kaliningrad', # (UTC+02:00) Kaliningrad (RTZ 1)
  ('Kaliningrad Standard Time', 'RU'): 'Europe/Kaliningrad', # 
  'Korea Standard Time': 'Asia/Seoul', # (UTC+09:00) Seoul
  ('Korea Standard Time', 'KR'): 'Asia/Seoul', # 
  'Libya Standard Time': 'Africa/Tripoli', # (UTC+02:00) Tripoli
  ('Libya Standard Time', 'LY'): 'Africa/Tripoli', # 
  'Line Islands Standard Time': 'Pacific/Kiritimati', # (UTC+14:00) Kiritimati Island
  ('Line Islands Standard Time', 'KI'): 'Pacific/Kiritimati', # 
  ('Line Islands Standard Time', 'ZZ'): 'Etc/GMT-14', # 
  'Magadan Standard Time': 'Asia/Magadan', # (UTC+10:00) Magadan
  ('Magadan Standard Time', 'RU'): 'Asia/Magadan', # 
  'Mauritius Standard Time': 'Indian/Mauritius', # (UTC+04:00) Port Louis
  ('Mauritius Standard Time', 'MU'): 'Indian/Mauritius', # 
  ('Mauritius Standard Time', 'RE'): 'Indian/Reunion', # 
  ('Mauritius Standard Time', 'SC'): 'Indian/Mahe', # 
  'Middle East Standard Time': 'Asia/Beirut', # (UTC+02:00) Beirut
  ('Middle East Standard Time', 'LB'): 'Asia/Beirut', # 
  'Montevideo Standard Time': 'America/Montevideo', # (UTC-03:00) Montevideo
  ('Montevideo Standard Time', 'UY'): 'America/Montevideo', # 
  'Morocco Standard Time': 'Africa/Casablanca', # (UTC) Casablanca
  ('Morocco Standard Time', 'EH'): 'Africa/El_Aaiun', # 
  ('Morocco Standard Time', 'MA'): 'Africa/Casablanca', # 
  'Mountain Standard Time': 'America/Denver', # (UTC-07:00) Mountain Time (US & Canada)
  ('Mountain Standard Time', 'CA'): 'America/Edmonton', # 
  ('Mountain Standard Time', 'MX'): 'America/Ojinaga', # 
  ('Mountain Standard Time', 'US'): 'America/Denver', # 
  ('Mountain Standard Time', 'ZZ'): 'MST7MDT', # 
  'Mountain Standard Time (Mexico)': 'America/Chihuahua', # (UTC-07:00) Chihuahua, La Paz, Mazatlan
  ('Mountain Standard Time (Mexico)', 'MX'): 'America/Chihuahua', # 
  'Myanmar Standard Time': 'Asia/Rangoon', # (UTC+06:30) Yangon (Rangoon)
  ('Myanmar Standard Time', 'CC'): 'Indian/Cocos', # 
  ('Myanmar Standard Time', 'MM'): 'Asia/Rangoon', # 
  'N. Central Asia Standard Time': 'Asia/Novosibirsk', # (UTC+06:00) Novosibirsk (RTZ 5)
  ('N. Central Asia Standard Time', 'RU'): 'Asia/Novosibirsk', # 
  'Namibia Standard Time': 'Africa/Windhoek', # (UTC+01:00) Windhoek
  ('Namibia Standard Time', 'NA'): 'Africa/Windhoek', # 
  'Nepal Standard Time': 'Asia/Katmandu', # (UTC+05:45) Kathmandu
  ('Nepal Standard Time', 'NP'): 'Asia/Katmandu', # 
  'New Zealand Standard Time': 'Pacific/Auckland', # (UTC+12:00) Auckland, Wellington
  ('New Zealand Standard Time', 'AQ'): 'Antarctica/McMurdo', # 
  ('New Zealand Standard Time', 'NZ'): 'Pacific/Auckland', # 
  'Newfoundland Standard Time': 'America/St_Johns', # (UTC-03:30) Newfoundland
  ('Newfoundland Standard Time', 'CA'): 'America/St_Johns', # 
  'North Asia East Standard Time': 'Asia/Irkutsk', # (UTC+08:00) Irkutsk (RTZ 7)
  ('North Asia East Standard Time', 'RU'): 'Asia/Irkutsk', # 
  'North Asia Standard Time': 'Asia/Krasnoyarsk', # (UTC+07:00) Krasnoyarsk (RTZ 6)
  ('North Asia Standard Time', 'RU'): 'Asia/Krasnoyarsk', # 
  'Pacific SA Standard Time': 'America/Santiago', # (UTC-03:00) Santiago
  ('Pacific SA Standard Time', 'AQ'): 'Antarctica/Palmer', # 
  ('Pacific SA Standard Time', 'CL'): 'America/Santiago', # 
  'Pacific Standard Time': 'America/Los_Angeles', # (UTC-08:00) Pacific Time (US & Canada)
  ('Pacific Standard Time', 'CA'): 'America/Vancouver', # 
  ('Pacific Standard Time', 'MX'): 'America/Tijuana', # 
  ('Pacific Standard Time', 'US'): 'America/Los_Angeles', # 
  ('Pacific Standard Time', 'ZZ'): 'PST8PDT', # 
  'Pacific Standard Time (Mexico)': 'America/Santa_Isabel', # (UTC-08:00) Baja California
  ('Pacific Standard Time (Mexico)', 'MX'): 'America/Santa_Isabel', # 
  'Pakistan Standard Time': 'Asia/Karachi', # (UTC+05:00) Islamabad, Karachi
  ('Pakistan Standard Time', 'PK'): 'Asia/Karachi', # 
  'Paraguay Standard Time': 'America/Asuncion', # (UTC-04:00) Asuncion
  ('Paraguay Standard Time', 'PY'): 'America/Asuncion', # 
  'Romance Standard Time': 'Europe/Paris', # (UTC+01:00) Brussels, Copenhagen, Madrid, Paris
  ('Romance Standard Time', 'BE'): 'Europe/Brussels', # 
  ('Romance Standard Time', 'DK'): 'Europe/Copenhagen', # 
  ('Romance Standard Time', 'ES'): 'Europe/Madrid', # 
  ('Romance Standard Time', 'FR'): 'Europe/Paris', # 
  'Russia Time Zone 10': 'Asia/Srednekolymsk', # (UTC+11:00) Chokurdakh (RTZ 10)
  ('Russia Time Zone 10', 'RU'): 'Asia/Srednekolymsk', # 
  'Russia Time Zone 11': 'Asia/Kamchatka', # (UTC+12:00) Anadyr, Petropavlovsk-Kamchatsky (RTZ 11)
  ('Russia Time Zone 11', 'RU'): 'Asia/Kamchatka', # 
  'Russia Time Zone 3': 'Europe/Samara', # (UTC+04:00) Izhevsk, Samara (RTZ 3)
  ('Russia Time Zone 3', 'RU'): 'Europe/Samara', # 
  'Russian Standard Time': 'Europe/Moscow', # (UTC+03:00) Moscow, St. Petersburg, Volgograd (RTZ 2)
  ('Russian Standard Time', 'RU'): 'Europe/Moscow', # 
  'SA Eastern Standard Time': 'America/Cayenne', # (UTC-03:00) Cayenne, Fortaleza
  ('SA Eastern Standard Time', 'AQ'): 'Antarctica/Rothera', # 
  ('SA Eastern Standard Time', 'BR'): 'America/Fortaleza', # 
  ('SA Eastern Standard Time', 'FK'): 'Atlantic/Stanley', # 
  ('SA Eastern Standard Time', 'GF'): 'America/Cayenne', # 
  ('SA Eastern Standard Time', 'SR'): 'America/Paramaribo', # 
  ('SA Eastern Standard Time', 'ZZ'): 'Etc/GMT+3', # 
  'SA Pacific Standard Time': 'America/Bogota', # (UTC-05:00) Bogota, Lima, Quito, Rio Branco
  ('SA Pacific Standard Time', 'BR'): 'America/Rio_Branco', # 
  ('SA Pacific Standard Time', 'CA'): 'America/Coral_Harbour', # 
  ('SA Pacific Standard Time', 'CO'): 'America/Bogota', # 
  ('SA Pacific Standard Time', 'EC'): 'America/Guayaquil', # 
  ('SA Pacific Standard Time', 'JM'): 'America/Jamaica', # 
  ('SA Pacific Standard Time', 'KY'): 'America/Cayman', # 
  ('SA Pacific Standard Time', 'PA'): 'America/Panama', # 
  ('SA Pacific Standard Time', 'PE'): 'America/Lima', # 
  ('SA Pacific Standard Time', 'ZZ'): 'Etc/GMT+5', # 
  'SA Western Standard Time': 'America/La_Paz', # (UTC-04:00) Georgetown, La Paz, Manaus, San Juan
  ('SA Western Standard Time', 'AG'): 'America/Antigua', # 
  ('SA Western Standard Time', 'AI'): 'America/Anguilla', # 
  ('SA Western Standard Time', 'AW'): 'America/Aruba', # 
  ('SA Western Standard Time', 'BB'): 'America/Barbados', # 
  ('SA Western Standard Time', 'BL'): 'America/St_Barthelemy', # 
  ('SA Western Standard Time', 'BO'): 'America/La_Paz', # 
  ('SA Western Standard Time', 'BQ'): 'America/Kralendijk', # 
  ('SA Western Standard Time', 'BR'): 'America/Manaus', # 
  ('SA Western Standard Time', 'CA'): 'America/Blanc-Sablon', # 
  ('SA Western Standard Time', 'CW'): 'America/Curacao', # 
  ('SA Western Standard Time', 'DM'): 'America/Dominica', # 
  ('SA Western Standard Time', 'DO'): 'America/Santo_Domingo', # 
  ('SA Western Standard Time', 'GD'): 'America/Grenada', # 
  ('SA Western Standard Time', 'GP'): 'America/Guadeloupe', # 
  ('SA Western Standard Time', 'GY'): 'America/Guyana', # 
  ('SA Western Standard Time', 'KN'): 'America/St_Kitts', # 
  ('SA Western Standard Time', 'LC'): 'America/St_Lucia', # 
  ('SA Western Standard Time', 'MF'): 'America/Marigot', # 
  ('SA Western Standard Time', 'MQ'): 'America/Martinique', # 
  ('SA Western Standard Time', 'MS'): 'America/Montserrat', # 
  ('SA Western Standard Time', 'PR'): 'America/Puerto_Rico', # 
  ('SA Western Standard Time', 'SX'): 'America/Lower_Princes', # 
  ('SA Western Standard Time', 'TC'): 'America/Grand_Turk', # 
  ('SA Western Standard Time', 'TT'): 'America/Port_of_Spain', # 
  ('SA Western Standard Time', 'VC'): 'America/St_Vincent', # 
  ('SA Western Standard Time', 'VG'): 'America/Tortola', # 
  ('SA Western Standard Time', 'VI'): 'America/St_Thomas', # 
  ('SA Western Standard Time', 'ZZ'): 'Etc/GMT+4', # 
  'SE Asia Standard Time': 'Asia/Bangkok', # (UTC+07:00) Bangkok, Hanoi, Jakarta
  ('SE Asia Standard Time', 'AQ'): 'Antarctica/Davis', # 
  ('SE Asia Standard Time', 'CX'): 'Indian/Christmas', # 
  ('SE Asia Standard Time', 'ID'): 'Asia/Jakarta', # 
  ('SE Asia Standard Time', 'KH'): 'Asia/Phnom_Penh', # 
  ('SE Asia Standard Time', 'LA'): 'Asia/Vientiane', # 
  ('SE Asia Standard Time', 'MN'): 'Asia/Hovd', # 
  ('SE Asia Standard Time', 'TH'): 'Asia/Bangkok', # 
  ('SE Asia Standard Time', 'VN'): 'Asia/Saigon', # 
  ('SE Asia Standard Time', 'ZZ'): 'Etc/GMT-7', # 
  'Samoa Standard Time': 'Pacific/Apia', # (UTC+13:00) Samoa
  ('Samoa Standard Time', 'WS'): 'Pacific/Apia', # 
  'Singapore Standard Time': 'Asia/Singapore', # (UTC+08:00) Kuala Lumpur, Singapore
  ('Singapore Standard Time', 'BN'): 'Asia/Brunei', # 
  ('Singapore Standard Time', 'ID'): 'Asia/Makassar', # 
  ('Singapore Standard Time', 'MY'): 'Asia/Kuala_Lumpur', # 
  ('Singapore Standard Time', 'PH'): 'Asia/Manila', # 
  ('Singapore Standard Time', 'SG'): 'Asia/Singapore', # 
  ('Singapore Standard Time', 'ZZ'): 'Etc/GMT-8', # 
  'South Africa Standard Time': 'Africa/Johannesburg', # (UTC+02:00) Harare, Pretoria
  ('South Africa Standard Time', 'BI'): 'Africa/Bujumbura', # 
  ('South Africa Standard Time', 'BW'): 'Africa/Gaborone', # 
  ('South Africa Standard Time', 'CD'): 'Africa/Lubumbashi', # 
  ('South Africa Standard Time', 'LS'): 'Africa/Maseru', # 
  ('South Africa Standard Time', 'MW'): 'Africa/Blantyre', # 
  ('South Africa Standard Time', 'MZ'): 'Africa/Maputo', # 
  ('South Africa Standard Time', 'RW'): 'Africa/Kigali', # 
  ('South Africa Standard Time', 'SZ'): 'Africa/Mbabane', # 
  ('South Africa Standard Time', 'ZA'): 'Africa/Johannesburg', # 
  ('South Africa Standard Time', 'ZM'): 'Africa/Lusaka', # 
  ('South Africa Standard Time', 'ZW'): 'Africa/Harare', # 
  ('South Africa Standard Time', 'ZZ'): 'Etc/GMT-2', # 
  'Sri Lanka Standard Time': 'Asia/Colombo', # (UTC+05:30) Sri Jayawardenepura
  ('Sri Lanka Standard Time', 'LK'): 'Asia/Colombo', # 
  'Syria Standard Time': 'Asia/Damascus', # (UTC+02:00) Damascus
  ('Syria Standard Time', 'SY'): 'Asia/Damascus', # 
  'Taipei Standard Time': 'Asia/Taipei', # (UTC+08:00) Taipei
  ('Taipei Standard Time', 'TW'): 'Asia/Taipei', # 
  'Tasmania Standard Time': 'Australia/Hobart', # (UTC+10:00) Hobart
  ('Tasmania Standard Time', 'AU'): 'Australia/Hobart', # 
  'Tokyo Standard Time': 'Asia/Tokyo', # (UTC+09:00) Osaka, Sapporo, Tokyo
  ('Tokyo Standard Time', 'ID'): 'Asia/Jayapura', # 
  ('Tokyo Standard Time', 'JP'): 'Asia/Tokyo', # 
  ('Tokyo Standard Time', 'PW'): 'Pacific/Palau', # 
  ('Tokyo Standard Time', 'TL'): 'Asia/Dili', # 
  ('Tokyo Standard Time', 'ZZ'): 'Etc/GMT-9', # 
  'Tonga Standard Time': 'Pacific/Tongatapu', # (UTC+13:00) Nuku'alofa
  ('Tonga Standard Time', 'KI'): 'Pacific/Enderbury', # 
  ('Tonga Standard Time', 'TK'): 'Pacific/Fakaofo', # 
  ('Tonga Standard Time', 'TO'): 'Pacific/Tongatapu', # 
  ('Tonga Standard Time', 'ZZ'): 'Etc/GMT-13', # 
  'Turkey Standard Time': 'Europe/Istanbul', # (UTC+02:00) Istanbul
  ('Turkey Standard Time', 'TR'): 'Europe/Istanbul', # 
  'US Eastern Standard Time': 'America/Indianapolis', # (UTC-05:00) Indiana (East)
  ('US Eastern Standard Time', 'US'): 'America/Indianapolis', # 
  'US Mountain Standard Time': 'America/Phoenix', # (UTC-07:00) Arizona
  ('US Mountain Standard Time', 'CA'): 'America/Dawson_Creek', # 
  ('US Mountain Standard Time', 'MX'): 'America/Hermosillo', # 
  ('US Mountain Standard Time', 'US'): 'America/Phoenix', # 
  ('US Mountain Standard Time', 'ZZ'): 'Etc/GMT+7', # 
  'UTC': 'Etc/GMT', # (UTC) Coordinated Universal Time
  ('UTC', 'GL'): 'America/Danmarkshavn', # 
  ('UTC', 'ZZ'): 'Etc/GMT', # 
  'UTC+12': 'Etc/GMT-12', # (UTC+12:00) Coordinated Universal Time+12
  ('UTC+12', 'KI'): 'Pacific/Tarawa', # 
  ('UTC+12', 'MH'): 'Pacific/Majuro', # 
  ('UTC+12', 'NR'): 'Pacific/Nauru', # 
  ('UTC+12', 'TV'): 'Pacific/Funafuti', # 
  ('UTC+12', 'UM'): 'Pacific/Wake', # 
  ('UTC+12', 'WF'): 'Pacific/Wallis', # 
  ('UTC+12', 'ZZ'): 'Etc/GMT-12', # 
  'UTC-02': 'Etc/GMT+2', # (UTC-02:00) Coordinated Universal Time-02
  ('UTC-02', 'BR'): 'America/Noronha', # 
  ('UTC-02', 'GS'): 'Atlantic/South_Georgia', # 
  ('UTC-02', 'ZZ'): 'Etc/GMT+2', # 
  'UTC-11': 'Etc/GMT+11', # (UTC-11:00) Coordinated Universal Time-11
  ('UTC-11', 'AS'): 'Pacific/Pago_Pago', # 
  ('UTC-11', 'NU'): 'Pacific/Niue', # 
  ('UTC-11', 'UM'): 'Pacific/Midway', # 
  ('UTC-11', 'ZZ'): 'Etc/GMT+11', # 
  'Ulaanbaatar Standard Time': 'Asia/Ulaanbaatar', # (UTC+08:00) Ulaanbaatar
  ('Ulaanbaatar Standard Time', 'MN'): 'Asia/Ulaanbaatar', # 
  'Venezuela Standard Time': 'America/Caracas', # (UTC-04:30) Caracas
  ('Venezuela Standard Time', 'VE'): 'America/Caracas', # 
  'Vladivostok Standard Time': 'Asia/Vladivostok', # (UTC+10:00) Vladivostok, Magadan (RTZ 9)
  ('Vladivostok Standard Time', 'RU'): 'Asia/Vladivostok', # 
  'W. Australia Standard Time': 'Australia/Perth', # (UTC+08:00) Perth
  ('W. Australia Standard Time', 'AQ'): 'Antarctica/Casey', # 
  ('W. Australia Standard Time', 'AU'): 'Australia/Perth', # 
  'W. Central Africa Standard Time': 'Africa/Lagos', # (UTC+01:00) West Central Africa
  ('W. Central Africa Standard Time', 'AO'): 'Africa/Luanda', # 
  ('W. Central Africa Standard Time', 'BJ'): 'Africa/Porto-Novo', # 
  ('W. Central Africa Standard Time', 'CD'): 'Africa/Kinshasa', # 
  ('W. Central Africa Standard Time', 'CF'): 'Africa/Bangui', # 
  ('W. Central Africa Standard Time', 'CG'): 'Africa/Brazzaville', # 
  ('W. Central Africa Standard Time', 'CM'): 'Africa/Douala', # 
  ('W. Central Africa Standard Time', 'DZ'): 'Africa/Algiers', # 
  ('W. Central Africa Standard Time', 'GA'): 'Africa/Libreville', # 
  ('W. Central Africa Standard Time', 'GQ'): 'Africa/Malabo', # 
  ('W. Central Africa Standard Time', 'NE'): 'Africa/Niamey', # 
  ('W. Central Africa Standard Time', 'NG'): 'Africa/Lagos', # 
  ('W. Central Africa Standard Time', 'TD'): 'Africa/Ndjamena', # 
  ('W. Central Africa Standard Time', 'TN'): 'Africa/Tunis', # 
  ('W. Central Africa Standard Time', 'ZZ'): 'Etc/GMT-1', # 
  'W. Europe Standard Time': 'Europe/Berlin', # (UTC+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna
  ('W. Europe Standard Time', 'AD'): 'Europe/Andorra', # 
  ('W. Europe Standard Time', 'AT'): 'Europe/Vienna', # 
  ('W. Europe Standard Time', 'CH'): 'Europe/Zurich', # 
  ('W. Europe Standard Time', 'DE'): 'Europe/Berlin', # 
  ('W. Europe Standard Time', 'GI'): 'Europe/Gibraltar', # 
  ('W. Europe Standard Time', 'IT'): 'Europe/Rome', # 
  ('W. Europe Standard Time', 'LI'): 'Europe/Vaduz', # 
  ('W. Europe Standard Time', 'LU'): 'Europe/Luxembourg', # 
  ('W. Europe Standard Time', 'MC'): 'Europe/Monaco', # 
  ('W. Europe Standard Time', 'MT'): 'Europe/Malta', # 
  ('W. Europe Standard Time', 'NL'): 'Europe/Amsterdam', # 
  ('W. Europe Standard Time', 'NO'): 'Europe/Oslo', # 
  ('W. Europe Standard Time', 'SE'): 'Europe/Stockholm', # 
  ('W. Europe Standard Time', 'SJ'): 'Arctic/Longyearbyen', # 
  ('W. Europe Standard Time', 'SM'): 'Europe/San_Marino', # 
  ('W. Europe Standard Time', 'VA'): 'Europe/Vatican', # 
  'West Asia Standard Time': 'Asia/Tashkent', # (UTC+05:00) Ashgabat, Tashkent
  ('West Asia Standard Time', 'AQ'): 'Antarctica/Mawson', # 
  ('West Asia Standard Time', 'KZ'): 'Asia/Oral', # 
  ('West Asia Standard Time', 'MV'): 'Indian/Maldives', # 
  ('West Asia Standard Time', 'TF'): 'Indian/Kerguelen', # 
  ('West Asia Standard Time', 'TJ'): 'Asia/Dushanbe', # 
  ('West Asia Standard Time', 'TM'): 'Asia/Ashgabat', # 
  ('West Asia Standard Time', 'UZ'): 'Asia/Tashkent', # 
  ('West Asia Standard Time', 'ZZ'): 'Etc/GMT-5', # 
  'West Pacific Standard Time': 'Pacific/Port_Moresby', # (UTC+10:00) Guam, Port Moresby
  ('West Pacific Standard Time', 'AQ'): 'Antarctica/DumontDUrville', # 
  ('West Pacific Standard Time', 'FM'): 'Pacific/Truk', # 
  ('West Pacific Standard Time', 'GU'): 'Pacific/Guam', # 
  ('West Pacific Standard Time', 'MP'): 'Pacific/Saipan', # 
  ('West Pacific Standard Time', 'PG'): 'Pacific/Port_Moresby', # 
  ('West Pacific Standard Time', 'ZZ'): 'Etc/GMT-10', # 
  'Yakutsk Standard Time': 'Asia/Yakutsk', # (UTC+09:00) Yakutsk (RTZ 8)
  ('Yakutsk Standard Time', 'RU'): 'Asia/Yakutsk', # 
}
